Bug 1337858 - [GSS](6.4.z) Missing log message indicating disabled <distributable/> flag from web-fragments
Summary: [GSS](6.4.z) Missing log message indicating disabled <distributable/> flag fr...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering, Web
Version: 6.4.0,6.4.1,6.4.2,6.4.3,6.4.4,6.4.5,6.4.6,6.4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: CR1
: EAP 6.4.11
Assignee: Panagiotis Sotiropoulos
QA Contact: Michal Vinkler
URL:
Whiteboard:
Depends On:
Blocks: eap6411-payload
TreeView+ depends on / blocked
 
Reported: 2016-05-20 09:27 UTC by wfink
Modified: 2017-01-17 13:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 13:09:21 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2306061 None None None 2016-05-20 09:41:45 UTC
JBoss Issue Tracker JBEAP-4748 Major Verified (7.0.z) Add log message indicating disabled <distributable></distributable> flag from web-fragments 2018-08-27 01:12:31 UTC
JBoss Issue Tracker WFLY-6626 Major Closed Add log message indicating disabled <distributable/> flag from web-fragments 2018-08-27 01:12:31 UTC

Description wfink 2016-05-20 09:27:57 UTC
If a web-fragment doesn't have distributable set, then replication is not enabled. This happens silently so it is confusing as the expectation is replication to be enabled when set <distributable/> within WEB-INF/web.xml.

It is really hard to track down and understand why the application is not distributed.
Other third party libraries whic might includeded may have web-fragments without distributable set so log a notification when this happens will easily inform why replication was not enabled as expected.

Comment 2 JBoss JIRA Server 2016-07-27 11:02:10 UTC
Bartosz Baranowski <bbaranow@redhat.com> updated the status of jira JBEAP-4748 to Coding In Progress

Comment 3 JBoss JIRA Server 2016-08-04 09:30:45 UTC
Bartosz Baranowski <bbaranow@redhat.com> updated the status of jira JBEAP-4748 to Resolved

Comment 4 Ivo Hradek 2016-10-04 06:48:28 UTC
Verified with EAP 6.4.11.CP.CR1;

Comment 5 Petr Penicka 2017-01-17 13:09:21 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.